require 'armory'

# Test character responses
describe 'Character API' do
  describe 'Armory::character GET /armory/character' do
    it 'returns character information from armory method' do
        #locale is US by default
        response = Armory.character('experience', 'burning-legion')
        expect(response['name']).to eq("Experience")
    end
  end
  describe 'Armory::guild GET /armory/guild' do
    it 'returns guild information from armory method' do
        response = Armory.guild('HC', 'burning-legion')
        expect(response['name']).to eq("HC")
    end
    it 'tries to get invalid realm info' do
      response = Armory.guild('HC', 'bacon-legion')
      expect(response['reason']).to eq('Realm not found.')
    end
    it 'tries to get invalid guild info' do
      response = Armory.guild('SUPERBOOMKINFUNTIME', 'burning-legion')
      expect(response['reason']).to eq('Guild not found.')
    end
    it 'gets all of the characters from a guild' do
      response = Armory.guildMembers('HC', 'burning-legion')
      expect(response['members']).to be
    end
  end
end
